<?php
//En este modelo se encuentran todas las consultas relaizadas en la tabla de Usuarios(Franquiciatario)
class Usuarios_Model extends CI_Model
{
  //funcion para crear el reporte.
  function fetch_data()
{
   $this->db->join('rol','Rol_IdRol= IdRol','inner');
   $this->db->order_by("IdUsuarios", "NombreUsuario");
   $query = $this->db->get("usuarios");
  return $query->result();
}
//funcion para  descargar el reporte.
function actiongeneral()
{
  $this->load->model("usuarios_model");
  $this->load->library("excel");
  }
//funcion para buscar por rol.
    public function BuscarRol(){
    $query = $this->db-> query('SELECT IdRol,NombreRol FROM rol'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdRol, ENT_QUOTES)] = htmlspecialchars($row->NombreRol, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}   
    public function buscarporrol($query) {
    $this->db->where('Rol_IdRol', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('usuarios');
    if ($query->num_rows() > 0){
      return $query;
    }else{  
    }
  }
  //funcion para mostrar los datos que pertenecen a la franquicia con que se logueo el usuario.
 public function BuscarFranquicia(){
     
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
      if ($query->num_rows() > 0) { 
      foreach($query->result() as $row) 
      $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
      $query->free_result(); 
      return $arrDatos; }
         }
}